@Lackoletters

Ошибка при установке pyqt-tools?

Traceback (most recent call last):
File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/site-packages/pip/_vendor/pep517/in_process/_in_process.py", line 156, in prepare_metadata_for_build_wheel
hook = backend.prepare_metadata_for_build_wheel
AttributeError: module 'sipbuild.api' has no attribute 'prepare_metadata_for_build_wheel'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/site-packages/pip/_vendor/pep517/in_process/_in_process.py", line 363, in
main()
File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/site-packages/pip/_vendor/pep517/in_process/_in_process.py", line 345, in main
json_out['return_val'] = hook(**hook_input['kwargs'])
File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/site-packages/pip/_vendor/pep517/in_process/_in_process.py", line 160, in prepare_metadata_for_build_wheel
whl_basename = backend.build_wheel(metadata_directory, config_settings)
File "/private/var/folders/cf/vrf9bnkd52l8lyvb1p_z772r0000gn/T/pip-build-env-k6r59j6s/overlay/lib/python3.10/site-packages/sipbuild/api.py", line 46, in build_wheel
project = AbstractProject.bootstrap('wheel',
File "/private/var/folders/cf/vrf9bnkd52l8lyvb1p_z772r0000gn/T/pip-build-env-k6r59j6s/overlay/lib/python3.10/site-packages/sipbuild/abstract_project.py", line 87, in bootstrap
project.setup(pyproject, tool, tool_description)
File "/private/var/folders/cf/vrf9bnkd52l8lyvb1p_z772r0000gn/T/pip-build-env-k6r59j6s/overlay/lib/python3.10/site-packages/sipbuild/project.py", line 584, in setup
self.apply_user_defaults(tool)
File "/private/var/folders/cf/vrf9bnkd52l8lyvb1p_z772r0000gn/T/pip-install-j8eim48d/pyqt6_b21f7e88a7e743d685c7cf1bb870653f/project.py", line 60, in apply_user_defaults
super().apply_user_defaults(tool)
File "/private/var/folders/cf/vrf9bnkd52l8lyvb1p_z772r0000gn/T/pip-build-env-k6r59j6s/overlay/lib/python3.10/site-packages/pyqtbuild/project.py", line 70, in apply_user_defaults
super().apply_user_defaults(tool)
File "/private/var/folders/cf/vrf9bnkd52l8lyvb1p_z772r0000gn/T/pip-build-env-k6r59j6s/overlay/lib/python3.10/site-packages/sipbuild/project.py", line 236, in apply_user_defaults
self.builder.apply_user_defaults(tool)
File "/private/var/folders/cf/vrf9bnkd52l8lyvb1p_z772r0000gn/T/pip-build-env-k6r59j6s/overlay/lib/python3.10/site-packages/pyqtbuild/builder.py", line 67, in apply_user_defaults
raise PyProjectOptionException('qmake',
sipbuild.pyproject.PyProjectOptionException
[end of output]

note: This error originates from a subprocess, and is likely not a problem with pip.
error: metadata-generation-failed

× Encountered error while generating package metadata.
╰─> See above for output.

note: This is an issue with the package mentioned above, not pip.
hint: See above for details.

pip последней версии, питон последней версии, pyqt6 установлена. Помогите исправить пожалуйста
  • Вопрос задан
  • 224 просмотра
Пригласить эксперта
Ответы на вопрос 1
sheerluck
@sheerluck
Я ставил так: сначала через "python setup.py install" поставил
1) qt6_applications-6.3.1.2.2
2) qt6_tools-6.3.1.1.2
3) pyqt6_plugins-6.3.1.2.2 -- при установке патчится PyQt6-6.3.1
а уже только потом поставил pyqt6_tools-6.3.1.3.2
Ответ написан
Комментировать
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы